<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE refentry PUBLIC "-//OASIS//DTD DocBook XML V4.1.2//EN" "http://www.oasis-open.org/docbook/xml/4.1.2/docbookx.dtd" [
<!ENTITY version SYSTEM "version.xml">
]>
<refentry id="milter-manager-MilterHeaders">
<refmeta>
<refentrytitle role="top_of_page" id="milter-manager-MilterHeaders.top_of_page">MilterHeaders</refentrytitle>
<manvolnum>3</manvolnum>
<refmiscinfo>milter managerライブラリ</refmiscinfo>
</refmeta>
<refnamediv>
<refname>MilterHeaders</refname>
<refpurpose/>
</refnamediv>

<refsynopsisdiv id="milter-manager-MilterHeaders.synopsis" role="synopsis">
<title role="synopsis.title">概要</title>

<synopsis><link linkend="MilterHeader"><returnvalue>MilterHeader</returnvalue></link> *      <link linkend="milter-header-new">milter_header_new</link>                   (const <link linkend="gchar"><returnvalue>gchar</returnvalue></link> *name,
                                                         const <link linkend="gchar"><returnvalue>gchar</returnvalue></link> *value);
<link linkend="void"><returnvalue>void</returnvalue></link>                <link linkend="milter-header-free">milter_header_free</link>                  (<link linkend="MilterHeader"><returnvalue>MilterHeader</returnvalue></link> *header);
<link linkend="gboolean"><returnvalue>gboolean</returnvalue></link>            <link linkend="milter-header-equal">milter_header_equal</link>                 (<link linkend="gconstpointer"><returnvalue>gconstpointer</returnvalue></link> header1,
                                                         <link linkend="gconstpointer"><returnvalue>gconstpointer</returnvalue></link> header2);
<link linkend="gint"><returnvalue>gint</returnvalue></link>                <link linkend="milter-header-compare">milter_header_compare</link>               (<link linkend="MilterHeader"><returnvalue>MilterHeader</returnvalue></link> *header_a,
                                                         <link linkend="MilterHeader"><returnvalue>MilterHeader</returnvalue></link> *header_b);
<link linkend="void"><returnvalue>void</returnvalue></link>                <link linkend="milter-header-inspect">milter_header_inspect</link>               (<link linkend="GString"><returnvalue>GString</returnvalue></link> *string,
                                                         <link linkend="gconstpointer"><returnvalue>gconstpointer</returnvalue></link> header,
                                                         <link linkend="gpointer"><returnvalue>gpointer</returnvalue></link> user_data);
                    <link linkend="MilterHeaders">MilterHeaders</link>;
<link linkend="MilterHeaders"><returnvalue>MilterHeaders</returnvalue></link> *     <link linkend="milter-headers-new">milter_headers_new</link>                  (void);
<link linkend="MilterHeaders"><returnvalue>MilterHeaders</returnvalue></link> *     <link linkend="milter-headers-copy">milter_headers_copy</link>                 (<link linkend="MilterHeaders"><returnvalue>MilterHeaders</returnvalue></link> *headers);
const <link linkend="GList"><returnvalue>GList</returnvalue></link> *       <link linkend="milter-headers-get-list">milter_headers_get_list</link>             (<link linkend="MilterHeaders"><returnvalue>MilterHeaders</returnvalue></link> *headers);
<link linkend="gboolean"><returnvalue>gboolean</returnvalue></link>            <link linkend="milter-headers-add-header">milter_headers_add_header</link>           (<link linkend="MilterHeaders"><returnvalue>MilterHeaders</returnvalue></link> *headers,
                                                         const <link linkend="gchar"><returnvalue>gchar</returnvalue></link> *name,
                                                         const <link linkend="gchar"><returnvalue>gchar</returnvalue></link> *value);
<link linkend="gboolean"><returnvalue>gboolean</returnvalue></link>            <link linkend="milter-headers-insert-header">milter_headers_insert_header</link>        (<link linkend="MilterHeaders"><returnvalue>MilterHeaders</returnvalue></link> *headers,
                                                         <link linkend="guint"><returnvalue>guint</returnvalue></link> position,
                                                         const <link linkend="gchar"><returnvalue>gchar</returnvalue></link> *name,
                                                         const <link linkend="gchar"><returnvalue>gchar</returnvalue></link> *value);
<link linkend="gboolean"><returnvalue>gboolean</returnvalue></link>            <link linkend="milter-headers-change-header">milter_headers_change_header</link>        (<link linkend="MilterHeaders"><returnvalue>MilterHeaders</returnvalue></link> *headers,
                                                         const <link linkend="gchar"><returnvalue>gchar</returnvalue></link> *name,
                                                         <link linkend="guint"><returnvalue>guint</returnvalue></link> index,
                                                         const <link linkend="gchar"><returnvalue>gchar</returnvalue></link> *value);
<link linkend="gboolean"><returnvalue>gboolean</returnvalue></link>            <link linkend="milter-headers-delete-header">milter_headers_delete_header</link>        (<link linkend="MilterHeaders"><returnvalue>MilterHeaders</returnvalue></link> *headers,
                                                         const <link linkend="gchar"><returnvalue>gchar</returnvalue></link> *name,
                                                         <link linkend="guint"><returnvalue>guint</returnvalue></link> index);
<link linkend="guint"><returnvalue>guint</returnvalue></link>               <link linkend="milter-headers-length">milter_headers_length</link>               (<link linkend="MilterHeaders"><returnvalue>MilterHeaders</returnvalue></link> *headers);
<link linkend="MilterHeader"><returnvalue>MilterHeader</returnvalue></link> *      <link linkend="milter-headers-get-nth-header">milter_headers_get_nth_header</link>       (<link linkend="MilterHeaders"><returnvalue>MilterHeaders</returnvalue></link> *headers,
                                                         <link linkend="guint"><returnvalue>guint</returnvalue></link> index);
<link linkend="MilterHeader"><returnvalue>MilterHeader</returnvalue></link> *      <link linkend="milter-headers-find">milter_headers_find</link>                 (<link linkend="MilterHeaders"><returnvalue>MilterHeaders</returnvalue></link> *headers,
                                                         <link linkend="MilterHeader"><returnvalue>MilterHeader</returnvalue></link> *header);
<link linkend="MilterHeader"><returnvalue>MilterHeader</returnvalue></link> *      <link linkend="milter-headers-lookup-by-name">milter_headers_lookup_by_name</link>       (<link linkend="MilterHeaders"><returnvalue>MilterHeaders</returnvalue></link> *headers,
                                                         const <link linkend="gchar"><returnvalue>gchar</returnvalue></link> *name);
<link linkend="gboolean"><returnvalue>gboolean</returnvalue></link>            <link linkend="milter-headers-remove">milter_headers_remove</link>               (<link linkend="MilterHeaders"><returnvalue>MilterHeaders</returnvalue></link> *headers,
                                                         <link linkend="MilterHeader"><returnvalue>MilterHeader</returnvalue></link> *header);
<link linkend="gint"><returnvalue>gint</returnvalue></link>                <link linkend="milter-headers-index-in-same-header-name">milter_headers_index_in_same_header_name</link>
                                                        (<link linkend="MilterHeaders"><returnvalue>MilterHeaders</returnvalue></link> *headers,
                                                         <link linkend="MilterHeader"><returnvalue>MilterHeader</returnvalue></link> *header);
</synopsis>
</refsynopsisdiv>

<refsect1 id="milter-manager-MilterHeaders.description" role="desc">
<title role="desc.title">説明</title>
<para>
</para>
</refsect1>
<refsect1 id="milter-manager-MilterHeaders.details" role="details">
<title role="details.title">詳細</title>
<refsect2 id="milter-header-new" role="function">
<title>milter_header_new ()</title>
<indexterm zone="milter-header-new"><primary>milter_header_new</primary></indexterm>
<programlisting><link linkend="MilterHeader"><returnvalue>MilterHeader</returnvalue></link> *      milter_header_new                   (const <link linkend="gchar"><returnvalue>gchar</returnvalue></link> *name,
                                                         const <link linkend="gchar"><returnvalue>gchar</returnvalue></link> *value);</programlisting>
<para>
</para><variablelist role="params">
<varlistentry><term><parameter>name</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>value</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><emphasis>返値</emphasis>&nbsp;:</term><listitem><simpara>
</simpara></listitem></varlistentry>
</variablelist></refsect2>
<refsect2 id="milter-header-free" role="function">
<title>milter_header_free ()</title>
<indexterm zone="milter-header-free"><primary>milter_header_free</primary></indexterm>
<programlisting><link linkend="void"><returnvalue>void</returnvalue></link>                milter_header_free                  (<link linkend="MilterHeader"><returnvalue>MilterHeader</returnvalue></link> *header);</programlisting>
<para>
</para><variablelist role="params">
<varlistentry><term><parameter>header</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
</variablelist></refsect2>
<refsect2 id="milter-header-equal" role="function">
<title>milter_header_equal ()</title>
<indexterm zone="milter-header-equal"><primary>milter_header_equal</primary></indexterm>
<programlisting><link linkend="gboolean"><returnvalue>gboolean</returnvalue></link>            milter_header_equal                 (<link linkend="gconstpointer"><returnvalue>gconstpointer</returnvalue></link> header1,
                                                         <link linkend="gconstpointer"><returnvalue>gconstpointer</returnvalue></link> header2);</programlisting>
<para>
</para><variablelist role="params">
<varlistentry><term><parameter>header1</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>header2</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><emphasis>返値</emphasis>&nbsp;:</term><listitem><simpara>
</simpara></listitem></varlistentry>
</variablelist></refsect2>
<refsect2 id="milter-header-compare" role="function">
<title>milter_header_compare ()</title>
<indexterm zone="milter-header-compare"><primary>milter_header_compare</primary></indexterm>
<programlisting><link linkend="gint"><returnvalue>gint</returnvalue></link>                milter_header_compare               (<link linkend="MilterHeader"><returnvalue>MilterHeader</returnvalue></link> *header_a,
                                                         <link linkend="MilterHeader"><returnvalue>MilterHeader</returnvalue></link> *header_b);</programlisting>
<para>
</para><variablelist role="params">
<varlistentry><term><parameter>header_a</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>header_b</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><emphasis>返値</emphasis>&nbsp;:</term><listitem><simpara>
</simpara></listitem></varlistentry>
</variablelist></refsect2>
<refsect2 id="milter-header-inspect" role="function">
<title>milter_header_inspect ()</title>
<indexterm zone="milter-header-inspect"><primary>milter_header_inspect</primary></indexterm>
<programlisting><link linkend="void"><returnvalue>void</returnvalue></link>                milter_header_inspect               (<link linkend="GString"><returnvalue>GString</returnvalue></link> *string,
                                                         <link linkend="gconstpointer"><returnvalue>gconstpointer</returnvalue></link> header,
                                                         <link linkend="gpointer"><returnvalue>gpointer</returnvalue></link> user_data);</programlisting>
<para>
</para><variablelist role="params">
<varlistentry><term><parameter>string</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>header</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>user_data</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
</variablelist></refsect2>
<refsect2 id="MilterHeaders" role="struct">
<title>MilterHeaders</title>
<indexterm zone="MilterHeaders"><primary>MilterHeaders</primary></indexterm>
<programlisting>typedef struct {
    GObject object;
} MilterHeaders;
</programlisting>
<para>
</para></refsect2>
<refsect2 id="milter-headers-new" role="function">
<title>milter_headers_new ()</title>
<indexterm zone="milter-headers-new"><primary>milter_headers_new</primary></indexterm>
<programlisting><link linkend="MilterHeaders"><returnvalue>MilterHeaders</returnvalue></link> *     milter_headers_new                  (void);</programlisting>
<para>
</para><variablelist role="params">
<varlistentry><term><emphasis>返値</emphasis>&nbsp;:</term><listitem><simpara>
</simpara></listitem></varlistentry>
</variablelist></refsect2>
<refsect2 id="milter-headers-copy" role="function">
<title>milter_headers_copy ()</title>
<indexterm zone="milter-headers-copy"><primary>milter_headers_copy</primary></indexterm>
<programlisting><link linkend="MilterHeaders"><returnvalue>MilterHeaders</returnvalue></link> *     milter_headers_copy                 (<link linkend="MilterHeaders"><returnvalue>MilterHeaders</returnvalue></link> *headers);</programlisting>
<para>
</para><variablelist role="params">
<varlistentry><term><parameter>headers</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><emphasis>返値</emphasis>&nbsp;:</term><listitem><simpara>
</simpara></listitem></varlistentry>
</variablelist></refsect2>
<refsect2 id="milter-headers-get-list" role="function">
<title>milter_headers_get_list ()</title>
<indexterm zone="milter-headers-get-list"><primary>milter_headers_get_list</primary></indexterm>
<programlisting>const <link linkend="GList"><returnvalue>GList</returnvalue></link> *       milter_headers_get_list             (<link linkend="MilterHeaders"><returnvalue>MilterHeaders</returnvalue></link> *headers);</programlisting>
<para>
</para><variablelist role="params">
<varlistentry><term><parameter>headers</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><emphasis>返値</emphasis>&nbsp;:</term><listitem><simpara>
</simpara></listitem></varlistentry>
</variablelist></refsect2>
<refsect2 id="milter-headers-add-header" role="function">
<title>milter_headers_add_header ()</title>
<indexterm zone="milter-headers-add-header"><primary>milter_headers_add_header</primary></indexterm>
<programlisting><link linkend="gboolean"><returnvalue>gboolean</returnvalue></link>            milter_headers_add_header           (<link linkend="MilterHeaders"><returnvalue>MilterHeaders</returnvalue></link> *headers,
                                                         const <link linkend="gchar"><returnvalue>gchar</returnvalue></link> *name,
                                                         const <link linkend="gchar"><returnvalue>gchar</returnvalue></link> *value);</programlisting>
<para>
</para><variablelist role="params">
<varlistentry><term><parameter>headers</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>name</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>value</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><emphasis>返値</emphasis>&nbsp;:</term><listitem><simpara>
</simpara></listitem></varlistentry>
</variablelist></refsect2>
<refsect2 id="milter-headers-insert-header" role="function">
<title>milter_headers_insert_header ()</title>
<indexterm zone="milter-headers-insert-header"><primary>milter_headers_insert_header</primary></indexterm>
<programlisting><link linkend="gboolean"><returnvalue>gboolean</returnvalue></link>            milter_headers_insert_header        (<link linkend="MilterHeaders"><returnvalue>MilterHeaders</returnvalue></link> *headers,
                                                         <link linkend="guint"><returnvalue>guint</returnvalue></link> position,
                                                         const <link linkend="gchar"><returnvalue>gchar</returnvalue></link> *name,
                                                         const <link linkend="gchar"><returnvalue>gchar</returnvalue></link> *value);</programlisting>
<para>
</para><variablelist role="params">
<varlistentry><term><parameter>headers</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>position</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>name</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>value</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><emphasis>返値</emphasis>&nbsp;:</term><listitem><simpara>
</simpara></listitem></varlistentry>
</variablelist></refsect2>
<refsect2 id="milter-headers-change-header" role="function">
<title>milter_headers_change_header ()</title>
<indexterm zone="milter-headers-change-header"><primary>milter_headers_change_header</primary></indexterm>
<programlisting><link linkend="gboolean"><returnvalue>gboolean</returnvalue></link>            milter_headers_change_header        (<link linkend="MilterHeaders"><returnvalue>MilterHeaders</returnvalue></link> *headers,
                                                         const <link linkend="gchar"><returnvalue>gchar</returnvalue></link> *name,
                                                         <link linkend="guint"><returnvalue>guint</returnvalue></link> index,
                                                         const <link linkend="gchar"><returnvalue>gchar</returnvalue></link> *value);</programlisting>
<para>
</para><variablelist role="params">
<varlistentry><term><parameter>headers</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>name</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>index</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>value</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><emphasis>返値</emphasis>&nbsp;:</term><listitem><simpara>
</simpara></listitem></varlistentry>
</variablelist></refsect2>
<refsect2 id="milter-headers-delete-header" role="function">
<title>milter_headers_delete_header ()</title>
<indexterm zone="milter-headers-delete-header"><primary>milter_headers_delete_header</primary></indexterm>
<programlisting><link linkend="gboolean"><returnvalue>gboolean</returnvalue></link>            milter_headers_delete_header        (<link linkend="MilterHeaders"><returnvalue>MilterHeaders</returnvalue></link> *headers,
                                                         const <link linkend="gchar"><returnvalue>gchar</returnvalue></link> *name,
                                                         <link linkend="guint"><returnvalue>guint</returnvalue></link> index);</programlisting>
<para>
</para><variablelist role="params">
<varlistentry><term><parameter>headers</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>name</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>index</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><emphasis>返値</emphasis>&nbsp;:</term><listitem><simpara>
</simpara></listitem></varlistentry>
</variablelist></refsect2>
<refsect2 id="milter-headers-length" role="function">
<title>milter_headers_length ()</title>
<indexterm zone="milter-headers-length"><primary>milter_headers_length</primary></indexterm>
<programlisting><link linkend="guint"><returnvalue>guint</returnvalue></link>               milter_headers_length               (<link linkend="MilterHeaders"><returnvalue>MilterHeaders</returnvalue></link> *headers);</programlisting>
<para>
</para><variablelist role="params">
<varlistentry><term><parameter>headers</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><emphasis>返値</emphasis>&nbsp;:</term><listitem><simpara>
</simpara></listitem></varlistentry>
</variablelist></refsect2>
<refsect2 id="milter-headers-get-nth-header" role="function">
<title>milter_headers_get_nth_header ()</title>
<indexterm zone="milter-headers-get-nth-header"><primary>milter_headers_get_nth_header</primary></indexterm>
<programlisting><link linkend="MilterHeader"><returnvalue>MilterHeader</returnvalue></link> *      milter_headers_get_nth_header       (<link linkend="MilterHeaders"><returnvalue>MilterHeaders</returnvalue></link> *headers,
                                                         <link linkend="guint"><returnvalue>guint</returnvalue></link> index);</programlisting>
<para>
</para><variablelist role="params">
<varlistentry><term><parameter>headers</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>index</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><emphasis>返値</emphasis>&nbsp;:</term><listitem><simpara>
</simpara></listitem></varlistentry>
</variablelist></refsect2>
<refsect2 id="milter-headers-find" role="function">
<title>milter_headers_find ()</title>
<indexterm zone="milter-headers-find"><primary>milter_headers_find</primary></indexterm>
<programlisting><link linkend="MilterHeader"><returnvalue>MilterHeader</returnvalue></link> *      milter_headers_find                 (<link linkend="MilterHeaders"><returnvalue>MilterHeaders</returnvalue></link> *headers,
                                                         <link linkend="MilterHeader"><returnvalue>MilterHeader</returnvalue></link> *header);</programlisting>
<para>
</para><variablelist role="params">
<varlistentry><term><parameter>headers</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>header</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><emphasis>返値</emphasis>&nbsp;:</term><listitem><simpara>
</simpara></listitem></varlistentry>
</variablelist></refsect2>
<refsect2 id="milter-headers-lookup-by-name" role="function">
<title>milter_headers_lookup_by_name ()</title>
<indexterm zone="milter-headers-lookup-by-name"><primary>milter_headers_lookup_by_name</primary></indexterm>
<programlisting><link linkend="MilterHeader"><returnvalue>MilterHeader</returnvalue></link> *      milter_headers_lookup_by_name       (<link linkend="MilterHeaders"><returnvalue>MilterHeaders</returnvalue></link> *headers,
                                                         const <link linkend="gchar"><returnvalue>gchar</returnvalue></link> *name);</programlisting>
<para>
</para><variablelist role="params">
<varlistentry><term><parameter>headers</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>name</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><emphasis>返値</emphasis>&nbsp;:</term><listitem><simpara>
</simpara></listitem></varlistentry>
</variablelist></refsect2>
<refsect2 id="milter-headers-remove" role="function">
<title>milter_headers_remove ()</title>
<indexterm zone="milter-headers-remove"><primary>milter_headers_remove</primary></indexterm>
<programlisting><link linkend="gboolean"><returnvalue>gboolean</returnvalue></link>            milter_headers_remove               (<link linkend="MilterHeaders"><returnvalue>MilterHeaders</returnvalue></link> *headers,
                                                         <link linkend="MilterHeader"><returnvalue>MilterHeader</returnvalue></link> *header);</programlisting>
<para>
</para><variablelist role="params">
<varlistentry><term><parameter>headers</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>header</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><emphasis>返値</emphasis>&nbsp;:</term><listitem><simpara>
</simpara></listitem></varlistentry>
</variablelist></refsect2>
<refsect2 id="milter-headers-index-in-same-header-name" role="function">
<title>milter_headers_index_in_same_header_name ()</title>
<indexterm zone="milter-headers-index-in-same-header-name"><primary>milter_headers_index_in_same_header_name</primary></indexterm>
<programlisting><link linkend="gint"><returnvalue>gint</returnvalue></link>                milter_headers_index_in_same_header_name
                                                        (<link linkend="MilterHeaders"><returnvalue>MilterHeaders</returnvalue></link> *headers,
                                                         <link linkend="MilterHeader"><returnvalue>MilterHeader</returnvalue></link> *header);</programlisting>
<para>
</para><variablelist role="params">
<varlistentry><term><parameter>headers</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>header</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><emphasis>返値</emphasis>&nbsp;:</term><listitem><simpara>
</simpara></listitem></varlistentry>
</variablelist></refsect2>

</refsect1>

</refentry>
